Issue #8878 has been updated by nobu (Nobuyoshi Nakada).

Backport changed from 1.9.3: UNKNOWN, 2.0.0: UNKNOWN to 1.9.3: DONTNEED, 2.0.0: REQUIRED


----------------------------------------
Bug #8878: contents of test-unit.gemspec not reproducible
https://bugs.ruby-lang.org/issues/8878#change-41789

Author: terceiro (Antonio Terceiro)
Status: Closed
Priority: Normal
Assignee: sorah (Shota Fukumori)
Category: lib
Target version: 
ruby -v: 2.1.0-trunk
Backport: 1.9.3: DONTNEED, 2.0.0: REQUIRED


Because the input gemspec does not contain a date, the generated gemspec will have a different date depending on when Ruby was
compiled.

On Debian we want to support multiarch, and that requires architecture-independent files to be byte-by-byte identical.

The attached patch fixes this by adding an explicit date to the gemspec.


-- 
http://bugs.ruby-lang.org/